[package]
name = "mesoclaw-tui"
version.workspace = true
edition.workspace = true
default-run = "mesoclaw-tui"

[[bin]]
name = "mesoclaw-tui"
path = "src/main.rs"

[dependencies]
ratatui = { version = "0.29", features = ["crossterm"] }
crossterm = "0.28"
reqwest = { workspace = true }
tokio-tungstenite = { workspace = true }
tokio = { workspace = true, features = ["full"] }
futures = { workspace = true }
clap = { workspace = true, features = ["env"] }
serde = { workspace = true }
serde_json = { workspace = true }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }
syntect = { version = "5", default-features = false, features = ["default-syntaxes", "default-themes", "regex-fancy"] }
textwrap = "0.16"
unicode-width = "0.2"

[lints]
workspace = true
